astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Data Tables (`astropy.table`) »
- Row

# Row

class `astropy.table.``Row`(table, index)

  Bases: `object`

  A class to represent one row of a Table object.

  A Row object is returned when a Table object is indexed with an integer or when iterating over a table:

      >>> from astropy.table import Table
      >>> table = Table([(1, 2), (3, 4)], names=('a', 'b'),
      ...               dtype=('int32', 'int32'))
      >>> row = table[1]
      >>> row
      <Row index=1>
        a     b
      int32 int32
      ----- -----
          2     4
      >>> row['a']
      2
      >>> row[1]
      4

  Attributes Summary

  `colnames` |
  `columns` |
  `data` | Deprecated since version 0.4.
  `dtype` |
  `index` |
  `meta` |
  `table` |

  Methods Summary

  `as_void`() | Returns a read-only copy of the row values in the form of np.void or np.ma.mvoid objects.

  Attributes Documentation

  `colnames`
  `columns`
  `data`

    Deprecated since version 0.4: The data function is deprecated and may be removed in a future version. Use `Row.as_void` instead.

    Returns a read-only copy of the row values in the form of np.void or np.ma.mvoid objects. This corresponds to the object types returned for row indexing of a pure numpy structured array or masked array. This method is slow and its use is deprecated.

  `dtype`
  `index`
  `meta`
  `table`

  Methods Documentation

  `as_void`()

    Returns a read-only copy of the row values in the form of np.void or np.ma.mvoid objects. This corresponds to the object types returned for row indexing of a pure numpy structured array or masked array. This method is slow and its use is discouraged when possible.

    Returns:

    void_row : np.void (unmasked) or np.ma.mvoid (masked)

    > Copy of row values